Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 4576)
+++ src/perl/register-dataset.cgi	(revision 4577)
@@ -3817,42 +3781,43 @@
     
     $$templateVars{'aoCount'} = $FORM::aoCount;
     foreach my $origName (param()) {
-	if ($origName =~ /origNamefirst/) {
-	    my $origNameIndex = $origName;
-	    $origNameIndex =~ s/origNamefirst//; # get the index of the parameter 0, ..., 10
-	    my $origNamelast = "origNamelast".$origNameIndex;
-	    my $origRole = "origRole".$origNameIndex;
-	    if ( $origNameIndex =~ /[0-9]+/  && $origNameIndex > 0){
-		if (hasContent(param($origName)) && hasContent(param($origNamelast)) && hasContent(param($origRole))) {
-		    debug("Registry processing keyword: $origName = ".param($origName)." $origNamelast = ".param($origNamelast)." $origRole = ".param($origRole));
-		    $$templateVars{$origName} = normalizeCD(param($origName));
-		    $$templateVars{$origNamelast} = normalizeCD(param($origNamelast));
-		    $$templateVars{$origRole} = normalizeCD(param($origRole));
-		}
-	    }
-	}
+    if ($origName =~ /origNamefirst/) {
+        my $origNameIndex = $origName;
+        $origNameIndex =~ s/origNamefirst//; # get the index of the parameter 0, ..., 10
+        my $origNamelast = "origNamelast".$origNameIndex;
+        my $origRole = "origRole".$origNameIndex;
+        if ($origNameIndex =~ /[0-9]+/  && $origNameIndex > 0) {
+        if (hasContent(param($origName)) && hasContent(param($origNamelast)) && hasContent(param($origRole))) {
+            debug("Registry processing keyword: $origName = ".param($origName)." $origNamelast = ".param($origNamelast)." $origRole = ".param($origRole));
+            $$templateVars{$origName} = normalizeCD(param($origName));
+            $$templateVars{$origNamelast} = normalizeCD(param($origNamelast));
+            $$templateVars{$origRole} = normalizeCD(param($origRole));
+        }
+        }
     }
+    }
 
     $$templateVars{'abstract'} = $FORM::abstract;
     $$templateVars{'keyCount'} = $FORM::keyCount;
     foreach my $kyd (param()) {
-	if ($kyd =~ /keyword/) {
-	    my $keyIndex = $kyd;
-	    $keyIndex =~ s/keyword//; # get the index of the parameter 0, ..., 10
-	    my $keyType = "kwType".$keyIndex;
-	    my $keyTh = "kwTh".$keyIndex;
-	    if ( $keyIndex =~ /[0-9]+/ ){
-		if (hasContent(param($kyd)) && hasContent(param($keyType)) && hasContent(param($keyTh))) {
-		    debug("Registry processing keyword: $kyd = ".param($kyd)." $keyType = ".param($keyType)." $keyTh = ".param($keyTh));
-		    $$templateVars{$kyd} = param($kyd); 
+        if ($kyd =~ /keyword/) {
+            my $keyIndex = $kyd;
+            $keyIndex =~ s/keyword//; # get the index of the parameter 0, ..., 10
+            my $keyType = "kwType".$keyIndex;
+            my $keyTh = "kwTh".$keyIndex;
+            if ($keyIndex =~ /[0-9]+/) {
+                if (hasContent(param($kyd)) && hasContent(param($keyType)) && hasContent(param($keyTh))) {
+                    debug("Registry processing keyword: $kyd = ".param($kyd)." $keyType = ".param($keyType)." $keyTh = ".param($keyTh));
+                    $$templateVars{$kyd} = param($kyd);
                     my $tmp = param($keyType);  #convert the first letter to upper case
-		    $tmp =~ s/\b(\w)/\U$1/g;
+                    $tmp =~ s/\b(\w)/\U$1/g;
                     $$templateVars{$keyType} = $tmp;
-		    $$templateVars{$keyTh} = param($keyTh);
-		}
-	    }
-	}
+                    $$templateVars{$keyTh} = param($keyTh);
+                }
+            }
+        }
     }
+
     $$templateVars{'addComments'} = $FORM::addComments;
     $$templateVars{'useConstraints'} = $FORM::useConstraints;
     $$templateVars{'useConstraintsOther'} = $FORM::useConstraintsOther;
@@ -3866,10 +3831,10 @@
     $$templateVars{'endingMonth'} = $FORM::endingMonth;
     $$templateVars{'endingDay'} = $FORM::endingDay;
     $$templateVars{'geogdesc'} = $FORM::geogdesc;
-    if($FORM::useSiteCoord ne ""){
-    $$templateVars{'useSiteCoord'} = "CHECKED";
-    }else{
-    $$templateVars{'useSiteCoord'} = "";
+    if ($FORM::useSiteCoord ne "") {
+        $$templateVars{'useSiteCoord'} = "CHECKED";
+    } else {
+        $$templateVars{'useSiteCoord'} = "";
     }
     $$templateVars{'latDeg1'} = $FORM::latDeg1;
     $$templateVars{'latMin1'} = $FORM::latMin1;
@@ -3893,7 +3858,7 @@
             my $taxIndex = $trn;
             $taxIndex =~ s/taxonRankName//; # get the index of the parameter 0, ..., 10
             my $trv = "taxonRankValue".$taxIndex;
-            if ( $taxIndex =~ /[0-9]+/ ){
+            if ($taxIndex =~ /[0-9]+/) {
                 if (hasContent(param($trn)) && hasContent(param($trv))) {
                     debug("Registry processing taxon: $trn = ".param($trn)." $trv = ".param($trv));
                     $$templateVars{$trn} = param($trn);
@@ -3919,7 +3884,7 @@
         if ($upload =~ /upload_/) {
             my $fileIndex = $upload;
             $fileIndex =~ s/upload_//;
-            if ( $fileIndex =~ /[0-9]+/ ) {
+            if ($fileIndex =~ /[0-9]+/) {
                 if (hasContent(param($upload))) {
                     debug("Registry: returning filename: " . param($upload));
                     $$templateVars{"upload_$fileIndex"} = param($upload);
@@ -3951,7 +3916,7 @@
     if ($result->size > 1) {
         errMoreThanOne("$value");
     } else {
-        foreach $tempNode ($result->get_nodelist){
+        foreach $tempNode ($result->get_nodelist) {
             #print $tempNode->nodeName().":".$tempNode->textContent();
             #print "\n";
             return $tempNode->textContent();
@@ -3974,7 +3939,7 @@
     my $error;
 
     $result = $node->findnodes("./$value");
-    if($result->size > 1){
+    if ($result->size > 1) {
        errMoreThanOne("$value");
     } else {
         foreach $tempNode ($result->get_nodelist) {
@@ -3982,10 +3947,7 @@
             if ($childNodes->size() > 1) {
                 $error ="The tag $value has children which cannot be shown using the form. Please use Morpho to edit this document";    
                 push(@errorMessages, $error);
-                #if ($DEBUG == 1){ print $error."\n";}
             } else {
-                #print $tempNode->nodeName().":".$tempNode->textContent();
-                #print "\n";
                 return $tempNode->textContent();
             }
         }
@@ -4004,10 +3966,9 @@
     my $errVal = shift;
 
     my $result = $node->findnodes("$value");
-    if($result->size > 0){
+    if ($result->size > 0) {
         $error ="One of the following tags found: $errVal. Please use Morpho to edit this document";
         push(@errorMessages, $error."\n");
-        #if ($DEBUG == 1){ print $error;}
     } 
 }
 
@@ -4021,7 +3982,6 @@
     my $value = shift;
     my $error ="More than one occurence of the tag $value found. Please use Morpho to edit this document";
     push(@errorMessages, $error."\n");
-    # if ($DEBUG == 1){ print $error;}
 }
 
 
@@ -4034,7 +3994,6 @@
     my $value = shift;
     my $error ="More occurences of the tag $value found than that can be shown in the form. Please use Morpho to edit this document";
     push(@errorMessages, $error);
-    #if ($DEBUG == 1){ print $error."\n";}
 }
 
 
